pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: building pkgsrc-2013Q1 misc/libreoffice on NetBSD 5.1.2/i386

Hi Francois

Am 08.04.13 10:42, schrieb Francois Tigeot:
> Hi,
> On Sun, Apr 07, 2013 at 06:13:02PM +0200, Marc Balmer wrote:
>> misc/libreoffice does not build on NetBSD 5.1.2/i386 (see log excerpt
>> below).  Dunno if you are interested in such feedback, but since you are
>> the maintainer, I report it to you.
>> I did not yet file a PR, should I?
> Probably not. Did you try it with NetBSD's 5.x special X11 implementation
> or with modular-xorg from pkgsrc ?
> I never could get LO to build and run with the internal X11 version.

I am using the internal X11 version, not the one from pkgsrc.

>>   internal build errors:
>> ERROR: error 65280 occurred while making
>> /usr/pkgsrc/misc/libreoffice/work/libreoffice-core-
> This is not the real error, which occured earlier in the build; a complete
> build log should show it.
>>  it seems that the error is inside 'testtools', please re-run build
>>  inside this module to isolate the error and/or test your fix:
> Or alternatively, the provided instructions should be enough to discover
> what's going on.
> I sadly never could get LibreOffice to build reliably 100% of the time on
> NetBSD; more often than not some internal check broke and I had to disable
> it. It seems there are some issues with threading / some parts of libc but
> when I reported my findings to the lists, nobody seemed to be interested.
> I don't run NetBSD anymore myself, so let the whole issue slip.
> There are also slightly more up to date libreoffice* packages in pkgsrc-wip
> you may find useful.

Ok, I will try these.  It is not super-important, but it would be nice
to be able to run LO on these machines, too.

Thanks for your help!

- Marc

>       Cheers,

Home | Main Index | Thread Index | Old Index